import { IgniteElement } from '../ignite-html/ignite-element.js';
import { h1, div } from '../ignite-html/ignite-template.js';
import { RowAccordian } from './row-accordian.js';
import { Example1 } from './examples/example1.js';

class MainApp extends IgniteElement {
    constructor() {
        super();
    }

    get properties() {
        return {
        };
    }

    render() {
        return this.template
            .child(
                new div(
                    new div(
                        new Example1()
                    )
                        .class("col-8")
                )
                    .class("row")
                    .class("justify-content-center")

            );
    }
}

customElements.define("main-app", MainApp);